Skip to main content

Data Only: Visa Use Cases


3-D Secure Data Only is a solution that shares data that merchants collect during transactions with the issuer, so that the issuers can make more informed authorization decisions for future transactions. Data Only uses the 3-D Secure infrastructure, but it is not a complete 3-D Secure authentication. 3-D Secure Data Only is a frictionless experience.

Data Only can increase authorization approvals and reduce fraud in these ways:

  • Merchants share additional transaction data with the issuer, allowing the issuer to feel more comfortable with the transaction's risk level. The issuer can gain additional insight into who the buyer is and what they are purchasing, which enables better authorization decisions.
  • Since Data Only is not a full authentication, merchants retain fraud liability, putting less risk on the issuers, which might lead to a higher approval rate when compared to non-authenticated transactions.

Visa supports the Visa Data Only program.

Visa Data Only

Visa has a data only data flow so that merchants can share customer data with the issuers without going through authentication. The additional data provided to the issuer helps the issuer make risk assessments about approving cardholder transactions. Data only data flows are frictionless and do not affect the customer experience. When sending a Visa data only check enrollment request, be sure to include all of the required fields and set the consumerAuthenticationInformation.challengeCode field to 06.

The response from the data only request includes this data:

  • ECI = 07
  • PARes = I
  • CAVV value

This data from the response must be included in the authorization request.

POST /pts/v2/payments

POST /pts/v2/payments

POST /pts/v2/payments

Example: Visa Data Only

{    "clientReferenceInformation": {        "code": "test"    },    "customerInformation": {        "merchantCustomerId": "SW489TT19"    },    "orderInformation": {        "amountDetails": {            "currency": "USD",            "totalAmount": "10.99"        },        "billTo": {            "address1": "1 Market St",            "address2": "Address 2",            "administrativeArea": "CA",            "country": "US",            "locality": "san francisco",            "firstName": "Test",            "lastName": "Testlastname",            "phoneNumber": "4158880000",            "email": "[email protected]",            "postalCode": "94105"        }    },    "paymentInformation": {        "card": {            "expirationMonth": "05",            "expirationYear": "2029",            "number": "4XXXXXXXXXXX2X24"        }    },    "deviceInformation": {        "httpAcceptBrowserValue": "data",        "httpAcceptContent": "pa_http_user_accept_value",        "httpBrowserLanguage": "en_us",        "httpBrowserJavaEnabled": false,        "httpBrowserJavaScriptEnabled": false,        "httpBrowserColorDepth": "24",        "httpBrowserScreenHeight": "864",        "httpBrowserScreenWidth": "1536",        "httpBrowserTimeDifference": "300",        "userAgentBrowserValue": "123"    },    "consumerAuthenticationInformation": {        "deviceChannel": "Browser",        "challengeCode": "06"    }}
{    "clientReferenceInformation": {        "code": "test"    },    "consumerAuthenticationInformation": {        "eciRaw": "07",        "authenticationTransactionId": "2DkdQ8ZG1urNNQR0XTM1",        "effectiveAuthenticationType": "FR",        "eci": "07",        "token": "AxjzbwSTlC3VWiL9QyNJAEQBTRduBSgekC4lp/cMm2OKOPlRqQoBgAAAyhZr",        "cavv": "AJkBBkhgQQAAAE4gSEJydQAAAAA=",        "paresStatus": "I"    },    "status": "AUTHENTICATION_SUCCESSFUL",    "submitTimeUtc": "2025-04-25T10:58:45Z"}

Example: Bundled Authentication and Authorization with Visa Data Only

{    "clientReferenceInformation": {        "code": "test"    },    "customerInformation": {        "merchantCustomerId": "SW489TT19"    },    "orderInformation": {        "amountDetails": {            "currency": "USD",            "totalAmount": "10.99"        },        "billTo": {            "address1": "1 Market St",            "address2": "Address 2",            "administrativeArea": "CA",            "country": "US",            "locality": "san francisco",            "firstName": "Test",            "lastName": "Testlastname",            "phoneNumber": "4158880000",            "email": "[email protected]",            "postalCode": "94105"        }    },    "processingInformation": {        "actionList": [            "CONSUMER_AUTHENTICATION"        ]    },    "paymentInformation": {        "card": {            "expirationMonth": "05",            "expirationYear": "2029",            "number": "4XXXXXXXXXXX20X4"        }    },    "deviceInformation": {        "httpAcceptBrowserValue": "data",        "httpAcceptContent": "pa_http_user_accept_value",        "httpBrowserLanguage": "en_us",        "httpBrowserJavaEnabled": false,        "httpBrowserJavaScriptEnabled": false,        "httpBrowserColorDepth": "24",        "httpBrowserScreenHeight": "864",        "httpBrowserScreenWidth": "1536",        "httpBrowserTimeDifference": "300",        "userAgentBrowserValue": "123"    },    "consumerAuthenticationInformation": {        "deviceChannel": "Browser",        "challengeCode": "06"    }}
{    "consumerAuthenticationInformation": {        "eciRaw": "07",        "effectiveAuthenticationType": "FR",        "eci": "07",        "cavv": "AJkBBkhgQQAAAE4gSEJydQAAAAA=",        "paresStatus": "I"    },    "status": "AUTHORIZED",    "submitTimeUtc": "2025-04-25T10:58:45Z"}

Required Fields for Visa Data Only

These fields are the minimum fields required when you request the Visa Data service.

FieldDescription
buyerInformation.mobilePhoneThis field is required (when available) if buyerInformation.workPhone is not used, unless market or regional mandate restricts sending this information.
buyerInformation.workPhoneThis field is required (when available) if buyerInformation.mobilePhone is not used, unless market or regional mandate restricts sending this information.
clientReferenceInformation.code
consumerAuthenticationInformation.challengeCodeSet to 06 for data only.
deviceInformation.httpAcceptBrowserValue
deviceInformation.httpAcceptContent
deviceInformation.httpBrowserColorDepth
deviceInformation.httpBrowserJavaEnabled
deviceInformation.httpBrowserJavaScriptEnabled
deviceInformation.httpBrowserLanguage
deviceInformation.httpBrowserScreenHeight
deviceInformation.httpBrowserScreenWidth
deviceInformation.httpBrowserTimeDifference
deviceInformation.ipAddress
deviceInformation.userAgentBrowserValue
orderInformation.amountDetails.currency
orderInformation.amountDetails.totalAmount
orderInformation.billTo.address1
orderInformation.billTo.administrativeAreaThis field is required for the US and Canada.
orderInformation.billTo.country
orderInformation.billTo.email
orderInformation.billTo.firstName
orderInformation.billTo.lastName
orderInformation.billTo.locality
orderInformation.billTo.postalCode
paymentInformation.card.expirationMonth
paymentInformation.card.expirationYear
paymentInformation.card.number

Last published: September 29, 2026